unit LineDemo1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls;

type

		{ TForm1 }

  TForm1 = class(TForm)
				Image1: TImage;

				procedure FormCreate(Sender: TObject);
				procedure Image1DblClick(Sender: TObject);
				procedure Image1MouseDown(Sender: TObject; Button: TMouseButton;
						Shift: TShiftState; X, Y: Integer);
    Procedure Init;
  private
    lastP : TPoint;
    ar : Array Of TPoint;
    done : boolean;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }


Procedure TForm1.Init;
begin
  setLength(ar,0);
  Image1.Canvas.Brush.color := clWhite;
  Image1.Canvas.FillRect(0,0,Image1.width, Image1.Height);
  Image1.Canvas.Pen.Color := clRed;
  end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  init;
  done := true;
end;

procedure TForm1.Image1DblClick(Sender: TObject);
begin
done := true;
end;

procedure TForm1.Image1MouseDown(Sender: TObject; Button: TMouseButton;
		Shift: TShiftState; X, Y: Integer);
  var col : TColor;
begin
  if done then init;
  done := false;
  setLength(ar,length(ar)+1);
  ar[high(ar)] := Point(x,y);
  Image1.Canvas.EllipseC(x,y,5,5);
  if  length(ar) > 1 then
            Image1.Canvas.Line(LastP,Point(x,y));
  lastP := Point(x,y);
end;




end.

